Search
lxdream.org :: lxdream :: r489:45c8ddcf52cb
lxdream 0.9.1
released Jun 29
Download Now
changeset489:45c8ddcf52cb
parent488:d19a63e47cd9
child490:1e0f9940e064
authornkeynes
dateSun Nov 04 05:07:49 2007 +0000 (12 years ago)
Test for presence of linux/cdrom.h at configure time, and only build the
linux driver if it's found successfully
Makefile.in
configure
configure.in
src/Makefile.am
src/Makefile.in
src/gdrom/cdnone.c
src/gdrom/gdrom.c
src/gdrom/gdrom.h
src/gdrom/linux.c
1.1 --- a/Makefile.in Sun Nov 04 01:03:00 2007 +0000
1.2 +++ b/Makefile.in Sun Nov 04 05:07:49 2007 +0000
1.3 @@ -47,6 +47,8 @@
1.4 CATOBJEXT = @CATOBJEXT@
1.5 CC = @CC@
1.6 CCDEPMODE = @CCDEPMODE@
1.7 +CDROM_LINUX_FALSE = @CDROM_LINUX_FALSE@
1.8 +CDROM_LINUX_TRUE = @CDROM_LINUX_TRUE@
1.9 CFLAGS = @CFLAGS@
1.10 CPP = @CPP@
1.11 CPPFLAGS = @CPPFLAGS@
1.12 @@ -150,8 +152,8 @@
1.13 check-recursive installcheck-recursive
1.14 DIST_COMMON = README $(srcdir)/Makefile.in $(srcdir)/configure AUTHORS \
1.15 COPYING ChangeLog INSTALL Makefile.am NEWS TODO acconfig.h \
1.16 - acinclude.m4 aclocal.m4 config.h.in configure configure.in \
1.17 - depcomp install-sh missing mkinstalldirs
1.18 + aclocal.m4 config.h.in configure configure.in depcomp \
1.19 + install-sh missing mkinstalldirs
1.20 DIST_SUBDIRS = $(SUBDIRS)
1.21 all: config.h
1.22 $(MAKE) $(AM_MAKEFLAGS) all-recursive
1.23 @@ -171,7 +173,7 @@
1.24 $(srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
1.25 cd $(srcdir) && $(AUTOCONF)
1.26
1.27 -$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ configure.in acinclude.m4
1.28 +$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ configure.in
1.29 cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
1.30
1.31 config.h: stamp-h1
2.1 --- a/configure Sun Nov 04 01:03:00 2007 +0000
2.2 +++ b/configure Sun Nov 04 05:07:49 2007 +0000
2.3 @@ -693,6 +693,8 @@
2.4 PKG_CONFIG
2.5 PACKAGE_CFLAGS
2.6 PACKAGE_LIBS
2.7 +CDROM_LINUX_TRUE
2.8 +CDROM_LINUX_FALSE
2.9 GETTEXT_PACKAGE
2.10 USE_NLS
2.11 MSGFMT
2.12 @@ -5202,14 +5204,6 @@
2.13 fi
2.14
2.15
2.16 -GETTEXT_PACKAGE=dream
2.17 -
2.18 -cat >>confdefs.h <<_ACEOF
2.19 -#define GETTEXT_PACKAGE "$GETTEXT_PACKAGE"
2.20 -_ACEOF
2.21 -
2.22 -
2.23 -ALL_LINGUAS=""
2.24 # On IRIX 5.3, sys/types and inttypes.h are conflicting.
2.25
2.26
2.27 @@ -5279,6 +5273,158 @@
2.28 done
2.29
2.30
2.31 +if test "${ac_cv_header_linux_cdrom_h+set}" = set; then
2.32 + { echo "$as_me:$LINENO: checking for linux/cdrom.h" >&5
2.33 +echo $ECHO_N "checking for linux/cdrom.h... $ECHO_C" >&6; }
2.34 +if test "${ac_cv_header_linux_cdrom_h+set}" = set; then
2.35 + echo $ECHO_N "(cached) $ECHO_C" >&6
2.36 +fi
2.37 +{ echo "$as_me:$LINENO: result: $ac_cv_header_linux_cdrom_h" >&5
2.38 +echo "${ECHO_T}$ac_cv_header_linux_cdrom_h" >&6; }
2.39 +else
2.40 + # Is the header compilable?
2.41 +{ echo "$as_me:$LINENO: checking linux/cdrom.h usability" >&5
2.42 +echo $ECHO_N "checking linux/cdrom.h usability... $ECHO_C" >&6; }
2.43 +cat >conftest.$ac_ext <<_ACEOF
2.44 +/* confdefs.h. */
2.45 +_ACEOF
2.46 +cat confdefs.h >>conftest.$ac_ext
2.47 +cat >>conftest.$ac_ext <<_ACEOF
2.48 +/* end confdefs.h. */
2.49 +$ac_includes_default
2.50 +#include <linux/cdrom.h>
2.51 +_ACEOF
2.52 +rm -f conftest.$ac_objext
2.53 +if { (ac_try="$ac_compile"
2.54 +case "(($ac_try" in
2.55 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
2.56 + *) ac_try_echo=$ac_try;;
2.57 +esac
2.58 +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
2.59 + (eval "$ac_compile") 2>conftest.er1
2.60 + ac_status=$?
2.61 + grep -v '^ *+' conftest.er1 >conftest.err
2.62 + rm -f conftest.er1
2.63 + cat conftest.err >&5
2.64 + echo "$as_me:$LINENO: \$? = $ac_status" >&5
2.65 + (exit $ac_status); } && {
2.66 + test -z "$ac_c_werror_flag" ||
2.67 + test ! -s conftest.err
2.68 + } && test -s conftest.$ac_objext; then
2.69 + ac_header_compiler=yes
2.70 +else
2.71 + echo "$as_me: failed program was:" >&5
2.72 +sed 's/^/| /' conftest.$ac_ext >&5
2.73 +
2.74 + ac_header_compiler=no
2.75 +fi
2.76 +
2.77 +rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
2.78 +{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
2.79 +echo "${ECHO_T}$ac_header_compiler" >&6; }
2.80 +
2.81 +# Is the header present?
2.82 +{ echo "$as_me:$LINENO: checking linux/cdrom.h presence" >&5
2.83 +echo $ECHO_N "checking linux/cdrom.h presence... $ECHO_C" >&6; }
2.84 +cat >conftest.$ac_ext <<_ACEOF
2.85 +/* confdefs.h. */
2.86 +_ACEOF
2.87 +cat confdefs.h >>conftest.$ac_ext
2.88 +cat >>conftest.$ac_ext <<_ACEOF
2.89 +/* end confdefs.h. */
2.90 +#include <linux/cdrom.h>
2.91 +_ACEOF
2.92 +if { (ac_try="$ac_cpp conftest.$ac_ext"
2.93 +case "(($ac_try" in
2.94 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
2.95 + *) ac_try_echo=$ac_try;;
2.96 +esac
2.97 +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
2.98 + (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
2.99 + ac_status=$?
2.100 + grep -v '^ *+' conftest.er1 >conftest.err
2.101 + rm -f conftest.er1
2.102 + cat conftest.err >&5
2.103 + echo "$as_me:$LINENO: \$? = $ac_status" >&5
2.104 + (exit $ac_status); } >/dev/null && {
2.105 + test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
2.106 + test ! -s conftest.err
2.107 + }; then
2.108 + ac_header_preproc=yes
2.109 +else
2.110 + echo "$as_me: failed program was:" >&5
2.111 +sed 's/^/| /' conftest.$ac_ext >&5
2.112 +
2.113 + ac_header_preproc=no
2.114 +fi
2.115 +
2.116 +rm -f conftest.err conftest.$ac_ext
2.117 +{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
2.118 +echo "${ECHO_T}$ac_header_preproc" >&6; }
2.119 +
2.120 +# So? What about this header?
2.121 +case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
2.122 + yes:no: )
2.123 + { echo "$as_me:$LINENO: WARNING: linux/cdrom.h: accepted by the compiler, rejected by the preprocessor!" >&5
2.124 +echo "$as_me: WARNING: linux/cdrom.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
2.125 + { echo "$as_me:$LINENO: WARNING: linux/cdrom.h: proceeding with the compiler's result" >&5
2.126 +echo "$as_me: WARNING: linux/cdrom.h: proceeding with the compiler's result" >&2;}
2.127 + ac_header_preproc=yes
2.128 + ;;
2.129 + no:yes:* )
2.130 + { echo "$as_me:$LINENO: WARNING: linux/cdrom.h: present but cannot be compiled" >&5
2.131 +echo "$as_me: WARNING: linux/cdrom.h: present but cannot be compiled" >&2;}
2.132 + { echo "$as_me:$LINENO: WARNING: linux/cdrom.h: check for missing prerequisite headers?" >&5
2.133 +echo "$as_me: WARNING: linux/cdrom.h: check for missing prerequisite headers?" >&2;}
2.134 + { echo "$as_me:$LINENO: WARNING: linux/cdrom.h: see the Autoconf documentation" >&5
2.135 +echo "$as_me: WARNING: linux/cdrom.h: see the Autoconf documentation" >&2;}
2.136 + { echo "$as_me:$LINENO: WARNING: linux/cdrom.h: section \"Present But Cannot Be Compiled\"" >&5
2.137 +echo "$as_me: WARNING: linux/cdrom.h: section \"Present But Cannot Be Compiled\"" >&2;}
2.138 + { echo "$as_me:$LINENO: WARNING: linux/cdrom.h: proceeding with the preprocessor's result" >&5
2.139 +echo "$as_me: WARNING: linux/cdrom.h: proceeding with the preprocessor's result" >&2;}
2.140 + { echo "$as_me:$LINENO: WARNING: linux/cdrom.h: in the future, the compiler will take precedence" >&5
2.141 +echo "$as_me: WARNING: linux/cdrom.h: in the future, the compiler will take precedence" >&2;}
2.142 +
2.143 + ;;
2.144 +esac
2.145 +{ echo "$as_me:$LINENO: checking for linux/cdrom.h" >&5
2.146 +echo $ECHO_N "checking for linux/cdrom.h... $ECHO_C" >&6; }
2.147 +if test "${ac_cv_header_linux_cdrom_h+set}" = set; then
2.148 + echo $ECHO_N "(cached) $ECHO_C" >&6
2.149 +else
2.150 + ac_cv_header_linux_cdrom_h=$ac_header_preproc
2.151 +fi
2.152 +{ echo "$as_me:$LINENO: result: $ac_cv_header_linux_cdrom_h" >&5
2.153 +echo "${ECHO_T}$ac_cv_header_linux_cdrom_h" >&6; }
2.154 +
2.155 +fi
2.156 +if test $ac_cv_header_linux_cdrom_h = yes; then
2.157 + HAVE_LINUX_CDROM_H=yes
2.158 +else
2.159 +
2.160 + echo "Linux CDROM support not found, building without it."
2.161 +fi
2.162 +
2.163 +
2.164 +
2.165 +
2.166 +if test "$HAVE_LINUX_CDROM_H" = "yes"; then
2.167 + CDROM_LINUX_TRUE=
2.168 + CDROM_LINUX_FALSE='#'
2.169 +else
2.170 + CDROM_LINUX_TRUE='#'
2.171 + CDROM_LINUX_FALSE=
2.172 +fi
2.173 +
2.174 +
2.175 +GETTEXT_PACKAGE=dream
2.176 +
2.177 +cat >>confdefs.h <<_ACEOF
2.178 +#define GETTEXT_PACKAGE "$GETTEXT_PACKAGE"
2.179 +_ACEOF
2.180 +
2.181 +
2.182 +ALL_LINGUAS=""
2.183
2.184
2.185 for ac_header in locale.h
2.186 @@ -6893,6 +7039,13 @@
2.187 Usually this means the macro was only invoked conditionally." >&2;}
2.188 { (exit 1); exit 1; }; }
2.189 fi
2.190 +if test -z "${CDROM_LINUX_TRUE}" && test -z "${CDROM_LINUX_FALSE}"; then
2.191 + { { echo "$as_me:$LINENO: error: conditional \"CDROM_LINUX\" was never defined.
2.192 +Usually this means the macro was only invoked conditionally." >&5
2.193 +echo "$as_me: error: conditional \"CDROM_LINUX\" was never defined.
2.194 +Usually this means the macro was only invoked conditionally." >&2;}
2.195 + { (exit 1); exit 1; }; }
2.196 +fi
2.197
2.198 : ${CONFIG_STATUS=./config.status}
2.199 ac_clean_files_save=$ac_clean_files
2.200 @@ -7508,6 +7661,8 @@
2.201 PKG_CONFIG!$PKG_CONFIG$ac_delim
2.202 PACKAGE_CFLAGS!$PACKAGE_CFLAGS$ac_delim
2.203 PACKAGE_LIBS!$PACKAGE_LIBS$ac_delim
2.204 +CDROM_LINUX_TRUE!$CDROM_LINUX_TRUE$ac_delim
2.205 +CDROM_LINUX_FALSE!$CDROM_LINUX_FALSE$ac_delim
2.206 GETTEXT_PACKAGE!$GETTEXT_PACKAGE$ac_delim
2.207 USE_NLS!$USE_NLS$ac_delim
2.208 MSGFMT!$MSGFMT$ac_delim
2.209 @@ -7523,8 +7678,6 @@
2.210 PO_IN_DATADIR_FALSE!$PO_IN_DATADIR_FALSE$ac_delim
2.211 POFILES!$POFILES$ac_delim
2.212 POSUB!$POSUB$ac_delim
2.213 -MKINSTALLDIRS!$MKINSTALLDIRS$ac_delim
2.214 -LIBOBJS!$LIBOBJS$ac_delim
2.215 _ACEOF
2.216
2.217 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
2.218 @@ -7566,10 +7719,12 @@
2.219 ac_delim='%!_!# '
2.220 for ac_last_try in false false false false false :; do
2.221 cat >conf$$subs.sed <<_ACEOF
2.222 +MKINSTALLDIRS!$MKINSTALLDIRS$ac_delim
2.223 +LIBOBJS!$LIBOBJS$ac_delim
2.224 LTLIBOBJS!$LTLIBOBJS$ac_delim
2.225 _ACEOF
2.226
2.227 - if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 1; then
2.228 + if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 3; then
2.229 break
2.230 elif $ac_last_try; then
2.231 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
3.1 --- a/configure.in Sun Nov 04 01:03:00 2007 +0000
3.2 +++ b/configure.in Sun Nov 04 05:07:49 2007 +0000
3.3 @@ -24,6 +24,11 @@
3.4 echo "The OpenGL library (libGL.so) could not be found, but is required."
3.5 exit 1])
3.6
3.7 +dnl Check for cdrom device support
3.8 +AC_CHECK_HEADER([linux/cdrom.h], [HAVE_LINUX_CDROM_H=yes], [
3.9 + echo "Linux CDROM support not found, building without it."] )
3.10 +AM_CONDITIONAL(CDROM_LINUX, [test "$HAVE_LINUX_CDROM_H" = "yes"])
3.11 +
3.12 GETTEXT_PACKAGE=dream
3.13 AC_SUBST(GETTEXT_PACKAGE)
3.14 AC_DEFINE_UNQUOTED(GETTEXT_PACKAGE,"$GETTEXT_PACKAGE")
4.1 --- a/src/Makefile.am Sun Nov 04 01:03:00 2007 +0000
4.2 +++ b/src/Makefile.am Sun Nov 04 05:07:49 2007 +0000
4.3 @@ -20,7 +20,7 @@
4.4 asic.c asic.h \
4.5 syscall.c syscall.h bios.c dcload.c \
4.6 gdrom/ide.c gdrom/ide.h gdrom/packet.h gdrom/gdimage.c \
4.7 - gdrom/gdrom.c gdrom/gdrom.h gdrom/nrg.c gdrom/cdi.c gdrom/linux.c \
4.8 + gdrom/gdrom.c gdrom/gdrom.h gdrom/nrg.c gdrom/cdi.c \
4.9 dreamcast.c dreamcast.h eventq.c eventq.h \
4.10 sh4/sh4.c sh4/intc.c sh4/intc.h sh4/sh4mem.c sh4/timer.c sh4/dmac.c \
4.11 sh4/sh4core.c sh4/sh4core.h sh4/sh4dasm.c sh4/sh4dasm.h \
4.12 @@ -46,6 +46,12 @@
4.13 drivers/gl_common.c drivers/gl_common.h drivers/gl_fbo.c \
4.14 drivers/gl_sl.c drivers/gl_slsrc.c
4.15
4.16 +if CDROM_LINUX
4.17 +lxdream_SOURCES += gdrom/linux.c
4.18 +else
4.19 +lxdream_SOURCES += gdrom/cdnone.c
4.20 +endif
4.21 +
4.22 lxdream_LDADD = @PACKAGE_LIBS@ $(INTLLIBS) -lesd
4.23
4.24 gendec_LDADD = @PACKAGE_LIBS@ $(INTLLIBS)
5.1 --- a/src/Makefile.in Sun Nov 04 01:03:00 2007 +0000
5.2 +++ b/src/Makefile.in Sun Nov 04 05:07:49 2007 +0000
5.3 @@ -35,6 +35,8 @@
5.4 NORMAL_UNINSTALL = :
5.5 PRE_UNINSTALL = :
5.6 POST_UNINSTALL = :
5.7 +@CDROM_LINUX_TRUE@am__append_1 = gdrom/linux.c
5.8 +@CDROM_LINUX_FALSE@am__append_2 = gdrom/cdnone.c
5.9 ACLOCAL = @ACLOCAL@
5.10 AMDEP_FALSE = @AMDEP_FALSE@
5.11 AMDEP_TRUE = @AMDEP_TRUE@
5.12 @@ -47,6 +49,8 @@
5.13 CATOBJEXT = @CATOBJEXT@
5.14 CC = @CC@
5.15 CCDEPMODE = @CCDEPMODE@
5.16 +CDROM_LINUX_FALSE = @CDROM_LINUX_FALSE@
5.17 +CDROM_LINUX_TRUE = @CDROM_LINUX_TRUE@
5.18 CFLAGS = @CFLAGS@
5.19 CPP = @CPP@
5.20 CPPFLAGS = @CPPFLAGS@
5.21 @@ -154,7 +158,7 @@
5.22 asic.c asic.h \
5.23 syscall.c syscall.h bios.c dcload.c \
5.24 gdrom/ide.c gdrom/ide.h gdrom/packet.h gdrom/gdimage.c \
5.25 - gdrom/gdrom.c gdrom/gdrom.h gdrom/nrg.c gdrom/cdi.c gdrom/linux.c \
5.26 + gdrom/gdrom.c gdrom/gdrom.h gdrom/nrg.c gdrom/cdi.c \
5.27 dreamcast.c dreamcast.h eventq.c eventq.h \
5.28 sh4/sh4.c sh4/intc.c sh4/intc.h sh4/sh4mem.c sh4/timer.c sh4/dmac.c \
5.29 sh4/sh4core.c sh4/sh4core.h sh4/sh4dasm.c sh4/sh4dasm.h \
5.30 @@ -178,8 +182,8 @@
5.31 drivers/video_null.c drivers/video_gtk.c drivers/video_gtk.h \
5.32 drivers/video_x11.c drivers/video_x11.h \
5.33 drivers/gl_common.c drivers/gl_common.h drivers/gl_fbo.c \
5.34 - drivers/gl_sl.c drivers/gl_slsrc.c
5.35 -
5.36 + drivers/gl_sl.c drivers/gl_slsrc.c\
5.37 +$(am__append_1) $(am__append_2)
5.38
5.39 lxdream_LDADD = @PACKAGE_LIBS@ $(INTLLIBS) -lesd
5.40
5.41 @@ -219,18 +223,44 @@
5.42 genglsl_OBJECTS = $(am_genglsl_OBJECTS)
5.43 genglsl_DEPENDENCIES =
5.44 genglsl_LDFLAGS =
5.45 +am__lxdream_SOURCES_DIST = main.c config.c config.h mem.c mem.h mmio.h \
5.46 + watch.c asic.c asic.h syscall.c syscall.h bios.c dcload.c \
5.47 + gdrom/ide.c gdrom/ide.h gdrom/packet.h gdrom/gdimage.c \
5.48 + gdrom/gdrom.c gdrom/gdrom.h gdrom/nrg.c gdrom/cdi.c dreamcast.c \
5.49 + dreamcast.h eventq.c eventq.h sh4/sh4.c sh4/intc.c sh4/intc.h \
5.50 + sh4/sh4mem.c sh4/timer.c sh4/dmac.c sh4/sh4core.c sh4/sh4core.h \
5.51 + sh4/sh4dasm.c sh4/sh4dasm.h sh4/sh4mmio.c sh4/sh4mmio.h \
5.52 + sh4/scif.c sh4/xltcache.c sh4/xltcache.h sh4/sh4trans.c \
5.53 + sh4/sh4trans.h sh4/sh4x86.c sh4/sh4stat.c sh4/sh4stat.h \
5.54 + x86dasm/x86dasm.c x86dasm/x86dasm.h x86dasm/i386-dis.c \
5.55 + x86dasm/dis-init.c x86dasm/dis-buf.c aica/armcore.c \
5.56 + aica/armcore.h aica/armdasm.c aica/armmem.c aica/aica.c \
5.57 + aica/aica.h aica/audio.c aica/audio.h pvr2/pvr2.c pvr2/pvr2.h \
5.58 + pvr2/pvr2mem.c pvr2/tacore.c pvr2/render.c pvr2/rendcore.c \
5.59 + pvr2/rendbkg.c pvr2/rendsort.c pvr2/texcache.c pvr2/yuv.c \
5.60 + pvr2/rendsave.c maple/maple.c maple/maple.h maple/controller.c \
5.61 + maple/controller.h gui/gtkui.c gui/gtkui.h gui/main_win.c \
5.62 + gui/gtkcb.c gui/mmio_win.c gui/debug_win.c gui/dump_win.c \
5.63 + gui/ctrl_dlg.c gui/path_dlg.c gui/gdrom_menu.c loader.c \
5.64 + bootstrap.c util.c display.c display.h drivers/audio_null.c \
5.65 + drivers/audio_esd.c drivers/video_null.c drivers/video_gtk.c \
5.66 + drivers/video_gtk.h drivers/video_x11.c drivers/video_x11.h \
5.67 + drivers/gl_common.c drivers/gl_common.h drivers/gl_fbo.c \
5.68 + drivers/gl_sl.c drivers/gl_slsrc.c gdrom/linux.c gdrom/cdnone.c
5.69 +@CDROM_LINUX_TRUE@am__objects_1 = linux.$(OBJEXT)
5.70 +@CDROM_LINUX_FALSE@am__objects_2 = cdnone.$(OBJEXT)
5.71 am_lxdream_OBJECTS = main.$(OBJEXT) config.$(OBJEXT) mem.$(OBJEXT) \
5.72 watch.$(OBJEXT) asic.$(OBJEXT) syscall.$(OBJEXT) bios.$(OBJEXT) \
5.73 dcload.$(OBJEXT) ide.$(OBJEXT) gdimage.$(OBJEXT) \
5.74 - gdrom.$(OBJEXT) nrg.$(OBJEXT) cdi.$(OBJEXT) linux.$(OBJEXT) \
5.75 - dreamcast.$(OBJEXT) eventq.$(OBJEXT) sh4.$(OBJEXT) \
5.76 - intc.$(OBJEXT) sh4mem.$(OBJEXT) timer.$(OBJEXT) dmac.$(OBJEXT) \
5.77 - sh4core.$(OBJEXT) sh4dasm.$(OBJEXT) sh4mmio.$(OBJEXT) \
5.78 - scif.$(OBJEXT) xltcache.$(OBJEXT) sh4trans.$(OBJEXT) \
5.79 - sh4x86.$(OBJEXT) sh4stat.$(OBJEXT) x86dasm.$(OBJEXT) \
5.80 - i386-dis.$(OBJEXT) dis-init.$(OBJEXT) dis-buf.$(OBJEXT) \
5.81 - armcore.$(OBJEXT) armdasm.$(OBJEXT) armmem.$(OBJEXT) \
5.82 - aica.$(OBJEXT) audio.$(OBJEXT) pvr2.$(OBJEXT) pvr2mem.$(OBJEXT) \
5.83 + gdrom.$(OBJEXT) nrg.$(OBJEXT) cdi.$(OBJEXT) dreamcast.$(OBJEXT) \
5.84 + eventq.$(OBJEXT) sh4.$(OBJEXT) intc.$(OBJEXT) sh4mem.$(OBJEXT) \
5.85 + timer.$(OBJEXT) dmac.$(OBJEXT) sh4core.$(OBJEXT) \
5.86 + sh4dasm.$(OBJEXT) sh4mmio.$(OBJEXT) scif.$(OBJEXT) \
5.87 + xltcache.$(OBJEXT) sh4trans.$(OBJEXT) sh4x86.$(OBJEXT) \
5.88 + sh4stat.$(OBJEXT) x86dasm.$(OBJEXT) i386-dis.$(OBJEXT) \
5.89 + dis-init.$(OBJEXT) dis-buf.$(OBJEXT) armcore.$(OBJEXT) \
5.90 + armdasm.$(OBJEXT) armmem.$(OBJEXT) aica.$(OBJEXT) \
5.91 + audio.$(OBJEXT) pvr2.$(OBJEXT) pvr2mem.$(OBJEXT) \
5.92 tacore.$(OBJEXT) render.$(OBJEXT) rendcore.$(OBJEXT) \
5.93 rendbkg.$(OBJEXT) rendsort.$(OBJEXT) texcache.$(OBJEXT) \
5.94 yuv.$(OBJEXT) rendsave.$(OBJEXT) maple.$(OBJEXT) \
5.95 @@ -241,7 +271,8 @@
5.96 util.$(OBJEXT) display.$(OBJEXT) audio_null.$(OBJEXT) \
5.97 audio_esd.$(OBJEXT) video_null.$(OBJEXT) video_gtk.$(OBJEXT) \
5.98 video_x11.$(OBJEXT) gl_common.$(OBJEXT) gl_fbo.$(OBJEXT) \
5.99 - gl_sl.$(OBJEXT) gl_slsrc.$(OBJEXT)
5.100 + gl_sl.$(OBJEXT) gl_slsrc.$(OBJEXT) $(am__objects_1) \
5.101 + $(am__objects_2)
5.102 lxdream_OBJECTS = $(am_lxdream_OBJECTS)
5.103 lxdream_DEPENDENCIES =
5.104 lxdream_LDFLAGS =
5.105 @@ -268,45 +299,47 @@
5.106 @AMDEP_TRUE@ ./$(DEPDIR)/audio.Po ./$(DEPDIR)/audio_esd.Po \
5.107 @AMDEP_TRUE@ ./$(DEPDIR)/audio_null.Po ./$(DEPDIR)/bios.Po \
5.108 @AMDEP_TRUE@ ./$(DEPDIR)/bootstrap.Po ./$(DEPDIR)/cdi.Po \
5.109 -@AMDEP_TRUE@ ./$(DEPDIR)/config.Po ./$(DEPDIR)/controller.Po \
5.110 -@AMDEP_TRUE@ ./$(DEPDIR)/ctrl_dlg.Po ./$(DEPDIR)/dcload.Po \
5.111 -@AMDEP_TRUE@ ./$(DEPDIR)/debug_win.Po ./$(DEPDIR)/dis-buf.Po \
5.112 -@AMDEP_TRUE@ ./$(DEPDIR)/dis-init.Po ./$(DEPDIR)/display.Po \
5.113 -@AMDEP_TRUE@ ./$(DEPDIR)/dmac.Po ./$(DEPDIR)/dreamcast.Po \
5.114 -@AMDEP_TRUE@ ./$(DEPDIR)/dump_win.Po ./$(DEPDIR)/eventq.Po \
5.115 -@AMDEP_TRUE@ ./$(DEPDIR)/gdimage.Po ./$(DEPDIR)/gdrom.Po \
5.116 -@AMDEP_TRUE@ ./$(DEPDIR)/gdrom_menu.Po ./$(DEPDIR)/gendec.Po \
5.117 -@AMDEP_TRUE@ ./$(DEPDIR)/genglsl.Po ./$(DEPDIR)/gl_common.Po \
5.118 -@AMDEP_TRUE@ ./$(DEPDIR)/gl_fbo.Po ./$(DEPDIR)/gl_sl.Po \
5.119 -@AMDEP_TRUE@ ./$(DEPDIR)/gl_slsrc.Po ./$(DEPDIR)/gtkcb.Po \
5.120 -@AMDEP_TRUE@ ./$(DEPDIR)/gtkui.Po ./$(DEPDIR)/i386-dis.Po \
5.121 -@AMDEP_TRUE@ ./$(DEPDIR)/ide.Po ./$(DEPDIR)/insparse.Po \
5.122 -@AMDEP_TRUE@ ./$(DEPDIR)/intc.Po ./$(DEPDIR)/linux.Po \
5.123 -@AMDEP_TRUE@ ./$(DEPDIR)/loader.Po ./$(DEPDIR)/main.Po \
5.124 -@AMDEP_TRUE@ ./$(DEPDIR)/main_win.Po ./$(DEPDIR)/maple.Po \
5.125 -@AMDEP_TRUE@ ./$(DEPDIR)/mem.Po ./$(DEPDIR)/mmio_win.Po \
5.126 -@AMDEP_TRUE@ ./$(DEPDIR)/nrg.Po ./$(DEPDIR)/path_dlg.Po \
5.127 -@AMDEP_TRUE@ ./$(DEPDIR)/pvr2.Po ./$(DEPDIR)/pvr2mem.Po \
5.128 -@AMDEP_TRUE@ ./$(DEPDIR)/rendbkg.Po ./$(DEPDIR)/rendcore.Po \
5.129 -@AMDEP_TRUE@ ./$(DEPDIR)/render.Po ./$(DEPDIR)/rendsave.Po \
5.130 -@AMDEP_TRUE@ ./$(DEPDIR)/rendsort.Po ./$(DEPDIR)/scif.Po \
5.131 -@AMDEP_TRUE@ ./$(DEPDIR)/sh4.Po ./$(DEPDIR)/sh4core.Po \
5.132 -@AMDEP_TRUE@ ./$(DEPDIR)/sh4dasm.Po ./$(DEPDIR)/sh4mem.Po \
5.133 -@AMDEP_TRUE@ ./$(DEPDIR)/sh4mmio.Po ./$(DEPDIR)/sh4stat.Po \
5.134 -@AMDEP_TRUE@ ./$(DEPDIR)/sh4trans.Po ./$(DEPDIR)/sh4x86.Po \
5.135 -@AMDEP_TRUE@ ./$(DEPDIR)/syscall.Po ./$(DEPDIR)/tacore.Po \
5.136 -@AMDEP_TRUE@ ./$(DEPDIR)/testsh4x86.Po ./$(DEPDIR)/testxlt.Po \
5.137 -@AMDEP_TRUE@ ./$(DEPDIR)/texcache.Po ./$(DEPDIR)/timer.Po \
5.138 -@AMDEP_TRUE@ ./$(DEPDIR)/util.Po ./$(DEPDIR)/video_gtk.Po \
5.139 -@AMDEP_TRUE@ ./$(DEPDIR)/video_null.Po ./$(DEPDIR)/video_x11.Po \
5.140 -@AMDEP_TRUE@ ./$(DEPDIR)/watch.Po ./$(DEPDIR)/x86dasm.Po \
5.141 -@AMDEP_TRUE@ ./$(DEPDIR)/xltcache.Po ./$(DEPDIR)/yuv.Po
5.142 +@AMDEP_TRUE@ ./$(DEPDIR)/cdnone.Po ./$(DEPDIR)/config.Po \
5.143 +@AMDEP_TRUE@ ./$(DEPDIR)/controller.Po ./$(DEPDIR)/ctrl_dlg.Po \
5.144 +@AMDEP_TRUE@ ./$(DEPDIR)/dcload.Po ./$(DEPDIR)/debug_win.Po \
5.145 +@AMDEP_TRUE@ ./$(DEPDIR)/dis-buf.Po ./$(DEPDIR)/dis-init.Po \
5.146 +@AMDEP_TRUE@ ./$(DEPDIR)/display.Po ./$(DEPDIR)/dmac.Po \
5.147 +@AMDEP_TRUE@ ./$(DEPDIR)/dreamcast.Po ./$(DEPDIR)/dump_win.Po \
5.148 +@AMDEP_TRUE@ ./$(DEPDIR)/eventq.Po ./$(DEPDIR)/gdimage.Po \
5.149 +@AMDEP_TRUE@ ./$(DEPDIR)/gdrom.Po ./$(DEPDIR)/gdrom_menu.Po \
5.150 +@AMDEP_TRUE@ ./$(DEPDIR)/gendec.Po ./$(DEPDIR)/genglsl.Po \
5.151 +@AMDEP_TRUE@ ./$(DEPDIR)/gl_common.Po ./$(DEPDIR)/gl_fbo.Po \
5.152 +@AMDEP_TRUE@ ./$(DEPDIR)/gl_sl.Po ./$(DEPDIR)/gl_slsrc.Po \
5.153 +@AMDEP_TRUE@ ./$(DEPDIR)/gtkcb.Po ./$(DEPDIR)/gtkui.Po \
5.154 +@AMDEP_TRUE@ ./$(DEPDIR)/i386-dis.Po ./$(DEPDIR)/ide.Po \
5.155 +@AMDEP_TRUE@ ./$(DEPDIR)/insparse.Po ./$(DEPDIR)/intc.Po \
5.156 +@AMDEP_TRUE@ ./$(DEPDIR)/linux.Po ./$(DEPDIR)/loader.Po \
5.157 +@AMDEP_TRUE@ ./$(DEPDIR)/main.Po ./$(DEPDIR)/main_win.Po \
5.158 +@AMDEP_TRUE@ ./$(DEPDIR)/maple.Po ./$(DEPDIR)/mem.Po \
5.159 +@AMDEP_TRUE@ ./$(DEPDIR)/mmio_win.Po ./$(DEPDIR)/nrg.Po \
5.160 +@AMDEP_TRUE@ ./$(DEPDIR)/path_dlg.Po ./$(DEPDIR)/pvr2.Po \
5.161 +@AMDEP_TRUE@ ./$(DEPDIR)/pvr2mem.Po ./$(DEPDIR)/rendbkg.Po \
5.162 +@AMDEP_TRUE@ ./$(DEPDIR)/rendcore.Po ./$(DEPDIR)/render.Po \
5.163 +@AMDEP_TRUE@ ./$(DEPDIR)/rendsave.Po ./$(DEPDIR)/rendsort.Po \
5.164 +@AMDEP_TRUE@ ./$(DEPDIR)/scif.Po ./$(DEPDIR)/sh4.Po \
5.165 +@AMDEP_TRUE@ ./$(DEPDIR)/sh4core.Po ./$(DEPDIR)/sh4dasm.Po \
5.166 +@AMDEP_TRUE@ ./$(DEPDIR)/sh4mem.Po ./$(DEPDIR)/sh4mmio.Po \
5.167 +@AMDEP_TRUE@ ./$(DEPDIR)/sh4stat.Po ./$(DEPDIR)/sh4trans.Po \
5.168 +@AMDEP_TRUE@ ./$(DEPDIR)/sh4x86.Po ./$(DEPDIR)/syscall.Po \
5.169 +@AMDEP_TRUE@ ./$(DEPDIR)/tacore.Po ./$(DEPDIR)/testsh4x86.Po \
5.170 +@AMDEP_TRUE@ ./$(DEPDIR)/testxlt.Po ./$(DEPDIR)/texcache.Po \
5.171 +@AMDEP_TRUE@ ./$(DEPDIR)/timer.Po ./$(DEPDIR)/util.Po \
5.172 +@AMDEP_TRUE@ ./$(DEPDIR)/video_gtk.Po ./$(DEPDIR)/video_null.Po \
5.173 +@AMDEP_TRUE@ ./$(DEPDIR)/video_x11.Po ./$(DEPDIR)/watch.Po \
5.174 +@AMDEP_TRUE@ ./$(DEPDIR)/x86dasm.Po ./$(DEPDIR)/xltcache.Po \
5.175 +@AMDEP_TRUE@ ./$(DEPDIR)/yuv.Po
5.176 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
5.177 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
5.178 CCLD = $(CC)
5.179 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
5.180 -DIST_SOURCES = $(gendec_SOURCES) $(genglsl_SOURCES) $(lxdream_SOURCES) \
5.181 - $(test_testsh4x86_SOURCES) $(test_testxlt_SOURCES)
5.182 +DIST_SOURCES = $(gendec_SOURCES) $(genglsl_SOURCES) \
5.183 + $(am__lxdream_SOURCES_DIST) $(test_testsh4x86_SOURCES) \
5.184 + $(test_testxlt_SOURCES)
5.185 DIST_COMMON = $(srcdir)/Makefile.in Makefile.am
5.186 SOURCES = $(gendec_SOURCES) $(genglsl_SOURCES) $(lxdream_SOURCES) $(test_testsh4x86_SOURCES) $(test_testxlt_SOURCES)
5.187
5.188 @@ -384,6 +417,7 @@
5.189 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bios.Po@am__quote@
5.190 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bootstrap.Po@am__quote@
5.191 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cdi.Po@am__quote@
5.192 +@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cdnone.Po@am__quote@
5.193 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/config.Po@am__quote@
5.194 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/controller.Po@am__quote@
5.195 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctrl_dlg.Po@am__quote@
5.196 @@ -671,28 +705,6 @@
5.197 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
5.198 @am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o cdi.obj `if test -f 'gdrom/cdi.c'; then $(CYGPATH_W) 'gdrom/cdi.c'; else $(CYGPATH_W) '$(srcdir)/gdrom/cdi.c'; fi`
5.199
5.200 -linux.o: gdrom/linux.c
5.201 -@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT linux.o -MD -MP -MF "$(DEPDIR)/linux.Tpo" \
5.202 -@am__fastdepCC_TRUE@ -c -o linux.o `test -f 'gdrom/linux.c' || echo '$(srcdir)/'`gdrom/linux.c; \
5.203 -@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/linux.Tpo" "$(DEPDIR)/linux.Po"; \
5.204 -@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/linux.Tpo"; exit 1; \
5.205 -@am__fastdepCC_TRUE@ fi
5.206 -@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='gdrom/linux.c' object='linux.o' libtool=no @AMDEPBACKSLASH@
5.207 -@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/linux.Po' tmpdepfile='$(DEPDIR)/linux.TPo' @AMDEPBACKSLASH@
5.208 -@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
5.209 -@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o linux.o `test -f 'gdrom/linux.c' || echo '$(srcdir)/'`gdrom/linux.c
5.210 -
5.211 -linux.obj: gdrom/linux.c
5.212 -@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT linux.obj -MD -MP -MF "$(DEPDIR)/linux.Tpo" \
5.213 -@am__fastdepCC_TRUE@ -c -o linux.obj `if test -f 'gdrom/linux.c'; then $(CYGPATH_W) 'gdrom/linux.c'; else $(CYGPATH_W) '$(srcdir)/gdrom/linux.c'; fi`; \
5.214 -@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/linux.Tpo" "$(DEPDIR)/linux.Po"; \
5.215 -@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/linux.Tpo"; exit 1; \
5.216 -@am__fastdepCC_TRUE@ fi
5.217 -@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='gdrom/linux.c' object='linux.obj' libtool=no @AMDEPBACKSLASH@
5.218 -@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/linux.Po' tmpdepfile='$(DEPDIR)/linux.TPo' @AMDEPBACKSLASH@
5.219 -@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
5.220 -@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o linux.obj `if test -f 'gdrom/linux.c'; then $(CYGPATH_W) 'gdrom/linux.c'; else $(CYGPATH_W) '$(srcdir)/gdrom/linux.c'; fi`
5.221 -
5.222 sh4.o: sh4/sh4.c
5.223 @am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sh4.o -MD -MP -MF "$(DEPDIR)/sh4.Tpo" \
5.224 @am__fastdepCC_TRUE@ -c -o sh4.o `test -f 'sh4/sh4.c' || echo '$(srcdir)/'`sh4/sh4.c; \
5.225 @@ -1837,6 +1849,50 @@
5.226 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
5.227 @am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o gl_slsrc.obj `if test -f 'drivers/gl_slsrc.c'; then $(CYGPATH_W) 'drivers/gl_slsrc.c'; else $(CYGPATH_W) '$(srcdir)/drivers/gl_slsrc.c'; fi`
5.228
5.229 +linux.o: gdrom/linux.c
5.230 +@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT linux.o -MD -MP -MF "$(DEPDIR)/linux.Tpo" \
5.231 +@am__fastdepCC_TRUE@ -c -o linux.o `test -f 'gdrom/linux.c' || echo '$(srcdir)/'`gdrom/linux.c; \
5.232 +@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/linux.Tpo" "$(DEPDIR)/linux.Po"; \
5.233 +@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/linux.Tpo"; exit 1; \
5.234 +@am__fastdepCC_TRUE@ fi
5.235 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='gdrom/linux.c' object='linux.o' libtool=no @AMDEPBACKSLASH@
5.236 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/linux.Po' tmpdepfile='$(DEPDIR)/linux.TPo' @AMDEPBACKSLASH@
5.237 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
5.238 +@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o linux.o `test -f 'gdrom/linux.c' || echo '$(srcdir)/'`gdrom/linux.c
5.239 +
5.240 +linux.obj: gdrom/linux.c
5.241 +@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT linux.obj -MD -MP -MF "$(DEPDIR)/linux.Tpo" \
5.242 +@am__fastdepCC_TRUE@ -c -o linux.obj `if test -f 'gdrom/linux.c'; then $(CYGPATH_W) 'gdrom/linux.c'; else $(CYGPATH_W) '$(srcdir)/gdrom/linux.c'; fi`; \
5.243 +@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/linux.Tpo" "$(DEPDIR)/linux.Po"; \
5.244 +@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/linux.Tpo"; exit 1; \
5.245 +@am__fastdepCC_TRUE@ fi
5.246 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='gdrom/linux.c' object='linux.obj' libtool=no @AMDEPBACKSLASH@
5.247 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/linux.Po' tmpdepfile='$(DEPDIR)/linux.TPo' @AMDEPBACKSLASH@
5.248 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
5.249 +@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o linux.obj `if test -f 'gdrom/linux.c'; then $(CYGPATH_W) 'gdrom/linux.c'; else $(CYGPATH_W) '$(srcdir)/gdrom/linux.c'; fi`
5.250 +
5.251 +cdnone.o: gdrom/cdnone.c
5.252 +@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT cdnone.o -MD -MP -MF "$(DEPDIR)/cdnone.Tpo" \
5.253 +@am__fastdepCC_TRUE@ -c -o cdnone.o `test -f 'gdrom/cdnone.c' || echo '$(srcdir)/'`gdrom/cdnone.c; \
5.254 +@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/cdnone.Tpo" "$(DEPDIR)/cdnone.Po"; \
5.255 +@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/cdnone.Tpo"; exit 1; \
5.256 +@am__fastdepCC_TRUE@ fi
5.257 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='gdrom/cdnone.c' object='cdnone.o' libtool=no @AMDEPBACKSLASH@
5.258 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/cdnone.Po' tmpdepfile='$(DEPDIR)/cdnone.TPo' @AMDEPBACKSLASH@
5.259 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
5.260 +@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o cdnone.o `test -f 'gdrom/cdnone.c' || echo '$(srcdir)/'`gdrom/cdnone.c
5.261 +
5.262 +cdnone.obj: gdrom/cdnone.c
5.263 +@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT cdnone.obj -MD -MP -MF "$(DEPDIR)/cdnone.Tpo" \
5.264 +@am__fastdepCC_TRUE@ -c -o cdnone.obj `if test -f 'gdrom/cdnone.c'; then $(CYGPATH_W) 'gdrom/cdnone.c'; else $(CYGPATH_W) '$(srcdir)/gdrom/cdnone.c'; fi`; \
5.265 +@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/cdnone.Tpo" "$(DEPDIR)/cdnone.Po"; \
5.266 +@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/cdnone.Tpo"; exit 1; \
5.267 +@am__fastdepCC_TRUE@ fi
5.268 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='gdrom/cdnone.c' object='cdnone.obj' libtool=no @AMDEPBACKSLASH@
5.269 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/cdnone.Po' tmpdepfile='$(DEPDIR)/cdnone.TPo' @AMDEPBACKSLASH@
5.270 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
5.271 +@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o cdnone.obj `if test -f 'gdrom/cdnone.c'; then $(CYGPATH_W) 'gdrom/cdnone.c'; else $(CYGPATH_W) '$(srcdir)/gdrom/cdnone.c'; fi`
5.272 +
5.273 testsh4x86.o: test/testsh4x86.c
5.274 @am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT testsh4x86.o -MD -MP -MF "$(DEPDIR)/testsh4x86.Tpo" \
5.275 @am__fastdepCC_TRUE@ -c -o testsh4x86.o `test -f 'test/testsh4x86.c' || echo '$(srcdir)/'`test/testsh4x86.c; \
6.1 --- /dev/null Thu Jan 01 00:00:00 1970 +0000
6.2 +++ b/src/gdrom/cdnone.c Sun Nov 04 05:07:49 2007 +0000
6.3 @@ -0,0 +1,40 @@
6.4 +/**
6.5 + * $Id: cdnone.c,v 1.1 2007-11-04 05:07:49 nkeynes Exp $
6.6 + *
6.7 + * The "null" cdrom device driver. Just provides a couple of empty stubs.
6.8 + *
6.9 + * Copyright (c) 2005 Nathan Keynes.
6.10 + *
6.11 + * This program is free software; you can redistribute it and/or modify
6.12 + * it under the terms of the GNU General Public License as published by
6.13 + * the Free Software Foundation; either version 2 of the License, or
6.14 + * (at your option) any later version.
6.15 + *
6.16 + * This program is distributed in the hope that it will be useful,
6.17 + * but WITHOUT ANY WARRANTY; without even the implied warranty of
6.18 + * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
6.19 + * GNU General Public License for more details.
6.20 + */
6.21 +
6.22 +#include "gdrom/gdrom.h"
6.23 +
6.24 +static gboolean cdnone_image_is_valid( FILE *f );
6.25 +static gdrom_disc_t cdnone_open_device( const gchar *filename, FILE *f );
6.26 +
6.27 +struct gdrom_image_class cdrom_device_class = { "None", NULL,
6.28 + cdnone_image_is_valid, cdnone_open_device };
6.29 +
6.30 +GList *gdrom_get_native_devices(void)
6.31 +{
6.32 + return NULL;
6.33 +}
6.34 +
6.35 +static gboolean cdnone_image_is_valid( FILE *f )
6.36 +{
6.37 + return FALSE;
6.38 +}
6.39 +
6.40 +static gdrom_disc_t cdnone_open_device( const gchar *filename, FILE *f )
6.41 +{
6.42 + return NULL;
6.43 +}
7.1 --- a/src/gdrom/gdrom.c Sun Nov 04 01:03:00 2007 +0000
7.2 +++ b/src/gdrom/gdrom.c Sun Nov 04 05:07:49 2007 +0000
7.3 @@ -1,6 +1,6 @@
7.4
7.5 /**
7.6 - * $Id: gdrom.c,v 1.17 2007-10-27 05:44:54 nkeynes Exp $
7.7 + * $Id: gdrom.c,v 1.18 2007-11-04 05:07:49 nkeynes Exp $
7.8 *
7.9 * GD-Rom access functions.
7.10 *
7.11 @@ -27,7 +27,7 @@
7.12
7.13 extern gdrom_disc_t gdrom_disc;
7.14
7.15 -gdrom_image_class_t gdrom_image_classes[] = { &linux_device_class, &nrg_image_class, &cdi_image_class, NULL };
7.16 +gdrom_image_class_t gdrom_image_classes[] = { &cdrom_device_class, &nrg_image_class, &cdi_image_class, NULL };
7.17
7.18 char *gdrom_mode_names[] = { "Mode1", "Mode2", "XA 1", "XA2", "Audio", "GD-Rom" };
7.19 uint32_t gdrom_sector_size[] = { 2048, 2336, 2048, 2324, 2352, 2336 };
8.1 --- a/src/gdrom/gdrom.h Sun Nov 04 01:03:00 2007 +0000
8.2 +++ b/src/gdrom/gdrom.h Sun Nov 04 05:07:49 2007 +0000
8.3 @@ -1,5 +1,5 @@
8.4 /**
8.5 - * $Id: gdrom.h,v 1.14 2007-10-28 07:23:46 nkeynes Exp $
8.6 + * $Id: gdrom.h,v 1.15 2007-11-04 05:07:49 nkeynes Exp $
8.7 *
8.8 * This file defines the structures and functions used by the GD-Rom
8.9 * disc driver. (ie, the modules that supply a CD image to be used by the
8.10 @@ -163,7 +163,7 @@
8.11
8.12 extern struct gdrom_image_class nrg_image_class;
8.13 extern struct gdrom_image_class cdi_image_class;
8.14 -extern struct gdrom_image_class linux_device_class;
8.15 +extern struct gdrom_image_class cdrom_device_class;
8.16
8.17 /**
8.18 * Construct a new image file using the default methods.
9.1 --- a/src/gdrom/linux.c Sun Nov 04 01:03:00 2007 +0000
9.2 +++ b/src/gdrom/linux.c Sun Nov 04 05:07:49 2007 +0000
9.3 @@ -1,5 +1,5 @@
9.4 /**
9.5 - * $Id: linux.c,v 1.8 2007-10-31 11:53:35 nkeynes Exp $
9.6 + * $Id: linux.c,v 1.9 2007-11-04 05:07:49 nkeynes Exp $
9.7 *
9.8 * Linux cd-rom device driver.
9.9 *
9.10 @@ -58,8 +58,8 @@
9.11 int direction );
9.12 static int linux_drive_status( gdrom_disc_t disc );
9.13
9.14 -struct gdrom_image_class linux_device_class = { "Linux", NULL,
9.15 - linux_image_is_valid, linux_open_device };
9.16 +struct gdrom_image_class cdrom_device_class = { "Linux", NULL,
9.17 + linux_image_is_valid, linux_open_device };
9.18 GList *gdrom_get_native_devices(void)
9.19 {
9.20 GList *list = NULL;
.